*This do file generate table: "Effect of DRT on Branches and Lending"

cd  "E:\papers\sujataanddilip\bankbranches\"

insheet using "Quarterly Statistics on Deposits & Credit of Scheduled Commercial Banks94-95.CSV", names clear

save credit1, replace
insheet using "Quarterly Statistics on Deposits & Credit of Scheduled Commercial Banks96-99.CSV", names clear
save credit2, replace
insheet using "Quarterly Statistics on Deposits & Credit of Scheduled Commercial Banks00-03.CSV", names clear
save credit3, replace
insheet using "Quarterly Statistics on Deposits & Credit of Scheduled Commercial Banks91-93.CSV", names clear
save credit4, replace

use credit1, clear
append using credit2
append using credit3
append using credit4
* save branchesforsujata
gen registeredofficeaddress=state
rename state stateorig
gen borrcluster=.


gen state=.
replace state=1  if  strpos(lower(registeredofficeaddress),lower("Andhra Pradesh"))>0
replace state=2 if strpos(lower(registeredofficeaddress),lower("Delhi"))>0 
replace state=3 if strpos(lower(registeredofficeaddress),lower("Gujarat"))>0 
replace state=4 if strpos(lower(registeredofficeaddress),lower("Haryana"))>0 
replace state=5 if   strpos(lower(registeredofficeaddress),lower("Himachal Pradesh"))>0  
replace state=6 if strpos(lower(registeredofficeaddress),lower("Jammu"))>0   |  strpos(lower(registeredofficeaddress),lower("Kashmir"))>0  
replace state=7  if strpos(lower(registeredofficeaddress),lower("Bihar"))>0 | strpos(lower(registeredofficeaddress),lower("Jharkhand"))>0 
***************************NOTE: Jharkhand becamce a state in 2000. What to do about it?
replace state=8  if strpos(lower(registeredofficeaddress),lower("Karnataka"))>0 
replace state=9  if strpos(lower(registeredofficeaddress),lower("Madhya Pradesh"))>0 |  strpos(lower(registeredofficeaddress),lower("Chhattisgarh"))>0 
replace state=10  if strpos(lower(registeredofficeaddress),lower("Maharashtra"))>0 
replace state=11  if strpos(lower(registeredofficeaddress),lower("Pondicher"))>0 | strpos(lower(registeredofficeaddress),lower("Puducherry"))>0 
replace state=12 if strpos(lower(registeredofficeaddress),lower("Rajasthan"))>0  
replace state=13  if strpos(lower(registeredofficeaddress),lower("Tamil Nadu"))>0 
replace state=14 if strpos(lower(registeredofficeaddress),lower("Uttar Pradesh"))>0 |  strpos(lower(registeredofficeaddress),lower("Uttarakhand"))>0
***************************NOTE: Uttarakhand becamce a state in 2000. What to do about it?
replace state=15  if strpos(lower(registeredofficeaddress),lower("West Bengal"))>0 
replace state=16 if strpos(lower(registeredofficeaddress),lower("Kerala"))>0 
replace state=17 if strpos(lower(registeredofficeaddress),lower("Punjab"))>0 
*drop foreign companies
drop if state==18
replace state=19 if strpos(lower(registeredofficeaddress),lower("Assam"))>0
replace state=20 if strpos(lower(registeredofficeaddress),lower("Goa"))>0
replace state=21 if  strpos(lower(registeredofficeaddress),lower("Chandigarh"))>0 
******************************************************************************What happened to Chhatisgarh DRT?
replace state=22 if strpos(lower(registeredofficeaddress),lower("Dadra"))>0 |  strpos(lower(registeredofficeaddress),lower("Nagar Haveli"))>0 
replace state=23 if  strpos(lower(registeredofficeaddress),lower("Daman"))>0 |  strpos(lower(registeredofficeaddress),lower("Diu"))>0 
replace state=24 if  strpos(lower(registeredofficeaddress),lower("Orissa"))>0
replace state=25 if  strpos(lower(registeredofficeaddress),lower("Andaman"))>0 | strpos(lower(registeredofficeaddress),lower("Nicobar Islands"))>0
replace state=26 if  strpos(lower(registeredofficeaddress),lower("Meghalaya"))>0 
replace state=27 if strpos(lower(registeredofficeaddress),lower("Manipur"))>0
replace state=28 if   strpos(lower(registeredofficeaddress),lower("Mizoram"))>0 
replace state=29 if  strpos(lower(registeredofficeaddress),lower("Tripura"))>0 
replace state=30 if  strpos(lower(registeredofficeaddress),lower("Arunachal Pradesh"))>0 
replace state=31 if strpos(lower(registeredofficeaddress),lower("Nagaland"))>0
replace state=32 if  strpos(lower(registeredofficeaddress),lower("Lakshadweep"))>0 
replace state=33 if  strpos(lower(registeredofficeaddress),lower("Sikkim"))>0 

       




count if state==.
count if state<.



*15 West Bengal
replace borrcluster=1 if strpos(lower(registeredofficeaddress),lower("West Bengal"))>0 | state==15 | strpos(lower(registeredofficeaddress),lower("Andaman"))>0 | strpos(lower(registeredofficeaddress),lower("Nicobar Islands"))>0
gen bdrtdts=mdy(4,27,1994) if borrcluster==1

*state 2 Delhi
replace borrcluster=2 if strpos(lower(registeredofficeaddress),lower("Delhi"))>0 | state==2
replace bdrtdts=mdy(7,5,1994) if borrcluster==2

*12 Rajasthan 5 Himachal Pradesh    4 Haryana 17 Punjab
replace borrcluster=3 if strpos(lower(registeredofficeaddress),lower("Rajasthan"))>0 | state==12 | strpos(lower(registeredofficeaddress),lower("Himachal Pradesh"))>0 |   state==5| strpos(lower(registeredofficeaddress),lower("Haryana"))>0 |  strpos(lower(registeredofficeaddress),lower("Punjab"))>0 | state==4 | state==17 |  strpos(lower(registeredofficeaddress),lower("Chandigarh"))>0 
replace bdrtdts=mdy(8,30,1994) if borrcluster==3

* 8 Karnataka           1 Andhra Pradesh
replace borrcluster=4 if strpos(lower(registeredofficeaddress),lower("Karnataka"))>0 | state==8 |state==1  | strpos(lower(registeredofficeaddress),lower("Andhra Pradesh"))>0
replace bdrtdts=mdy(11,30,1994) if borrcluster==4

*3 Gujarat
replace borrcluster=5 if strpos(lower(registeredofficeaddress),lower("Gujarat"))>0 |state==3 | strpos(lower(registeredofficeaddress),lower("Dadra"))>0 |  strpos(lower(registeredofficeaddress),lower("Nagar Haveli"))>0 |  strpos(lower(registeredofficeaddress),lower("Daman"))>0 |  strpos(lower(registeredofficeaddress),lower("Diu"))>0 
replace bdrtdts=mdy(12,21,1994) if borrcluster==5

*13 Tamil Nadu | 16 Kerala |  11 Pondicherry    
replace borrcluster=6 if strpos(lower(registeredofficeaddress),lower("Tamil Nadu"))>0 | state==13 | state==16 | state==11 | strpos(lower(registeredofficeaddress),lower("Kerala"))>0 |  strpos(lower(registeredofficeaddress),lower("Pondicherrya"))>0 
replace bdrtdts=mdy(11,4,1996) if borrcluster==6

replace borrcluster=7 if strpos(lower(registeredofficeaddress),lower("Assam"))>0 | strpos(lower(registeredofficeaddress),lower("Meghalaya"))>0 | strpos(lower(registeredofficeaddress),lower("Manipur"))>0 |  strpos(lower(registeredofficeaddress),lower("Mizoram"))>0 |  strpos(lower(registeredofficeaddress),lower("Tripura"))>0 | strpos(lower(registeredofficeaddress),lower("Arunachal Pradesh"))>0 | strpos(lower(registeredofficeaddress),lower("Nagaland"))>0
replace bdrtdts=mdy(1,7,1997) if borrcluster==7

*   7 Jharkhand/Bihar
replace borrcluster=8 if strpos(lower(registeredofficeaddress),lower("Bihar"))>0 | state==7 | strpos(lower(registeredofficeaddress),lower("Orissa"))>0
replace bdrtdts=mdy(1,24,1997) if borrcluster==8

* 9 Madhya Pradesh   14 Uttar Pradesh/Uttaranchal     
replace borrcluster=9 if strpos(lower(registeredofficeaddress),lower("Madhya Pradesh"))>0 | state==9 | state==14 | strpos(lower(registeredofficeaddress),lower("Uttar Pradesh"))>0
replace bdrtdts=mdy(4,7,1998) if borrcluster==9

* 10 Maharashtra         
replace borrcluster=10 if strpos(lower(registeredofficeaddress),lower("Maharashtra"))>0 | state==10 | strpos(lower(registeredofficeaddress),lower("Goa"))>0
replace bdrtdts=mdy(7,16,1999) if borrcluster==10

replace borrcluster=11 if strpos(lower(registeredofficeaddress),lower("Lakshadweep"))>0 
replace borrcluster=12 if strpos(lower(registeredofficeaddress),lower("Sikkim"))>0 
replace bdrtdts=mdy(12,5,1997) if borrcluster==11| borrcluster==12

gen year=substr(timeline,1,4)
gen quarter=substr(timeline,-1,1)
order year quarter

destring year quarter, force replace
drop if year==.
gen   date=yq(year, quarter)
*gen dateold=date
replace date=date+1
format date %tq
gen yearold=year
replace year=yofd(dofq(date))
generate double  drtquart= qofd(bdrtdts)
 format drtquart %tq

gen drtown=0 
replace drtown=1 if drtquart <date 
 
replace drtown=0 if date>140 & date<=144 

gen distance=max(date - drtquart ,0)
gen early=1 if drtquart<=140
*replace distance=distance-4 if early==1 & date>144
*replace distance =0 if  date>140 & date<=144 

gen distanceA=date -drtquart 
replace distance=12 if distance>=12 
*gen drtyear=yofd(dofq(distanceA))-1960
gen drt1=1 if distance>0 & distance<=5
gen drt2=1 if distance>4 & distance<=9
gen drt3=1 if distance>9 
*gen drt4=1 if distance>12

replace drt1=0 if drt1==.
replace drt2=0 if drt2==.
replace drt3=0 if drt3==.
*& distance<=12
*gen drt4=1 if distance>12


xi i.distanceA, prefix(DRA)


*replace distance=drtown*distance
xi i.distance, prefix(DRT)



egen urban=group(populationgroup)
egen typeofbank=group(bankgroup )
egen unit=group(urban typeofbank stateorig)
*keep if bankgroup =="FOREIGN BANKS" | bankgroup=="OTHER SCHEDULED COMMERCIAL BANKS"
bys date state: egen ruralbranchesh=total( numberofbranches ) if populationgroup=="Rural"
bys date state: egen ruralbranches =max( ruralbranchesh)

bys date state: egen semiurbanbranchesh=total( numberofbranches ) if populationgroup=="Semi-urban"  
bys date state: egen semiurbanbranches=max( semiurbanbranchesh)

bys date state: egen urbanbranchesh=total( numberofbranches ) if   populationgroup=="Urban"
bys date state: egen urbanbranches=max( urbanbranchesh)

bys date state: egen metrobranchesh=total( numberofbranches ) if populationgroup=="Metropolitan"
bys date state: egen metrobranches=max( metrobranchesh)
 
bys date state: egen credith=total( creditamountrscrore ) 
bys date state: egen credit=max( credith)

bys date state: egen totalbranchh=total( numberofbranches ) 
bys date state: egen totalbranch=max( totalbranchh)


bys date state: egen citybranchh=total( numberofbranches ) if   populationgroup=="Metropolitan" | populationgroup=="Urban"
bys date state: egen citybranch=max( citybranchh)

bys date state: egen citycredith=total( creditamountrscrore ) if   populationgroup=="Metropolitan" | populationgroup=="Urban"
bys date state: egen citycredit=max( citycredith)



bys date state: egen countrybranchh=total( numberofbranches ) if  !( populationgroup=="Metropolitan" | populationgroup=="Urban")
bys date state: egen countrybranch =max( countrybranchh)

bys date state: egen countrycredith=total( creditamountrscrore ) if  !( populationgroup=="Metropolitan" | populationgroup=="Urban")
bys date state: egen countrycredit=max( countrycredit)




bys date state: egen deposith=total( depositamountrscrore) 
bys date state: egen deposit=max(deposith)


bys date state: egen ruralcredith=total( creditamountrscrore ) if populationgroup=="Rural"
bys date state: egen  ruralcredit=max(  ruralcredith)

bys date state: egen semiurbancredith=total( creditamountrscrore ) if populationgroup=="Semi-urban"  
bys date state: egen semiurbancredit=max( semiurbancredith)

bys date state: egen urbancredith=total( creditamountrscrore ) if   populationgroup=="Urban"
bys date state: egen urbancredit=max( urbancredith)
 
bys date state: egen metrocredith=total( creditamountrscrore ) if   populationgroup=="Metropolitan"
bys date state: egen metrocredit=max( metrocredith)

drop if state==.
duplicates drop  state date, force
*tsset state date
/*
 
keep if  quarter( dofq(date))==1  
*gen year=yofd(dofq(date))
duplicates drop year  state, force
drop if state==.
keep year state metrobranches urbanbranches ruralbranches semiurbanbranches  credit deposit ruralcredit semiurbancredit urbancredit
sort year  state
save branchleveldatastatewise, replace
*/
xi i.date , prefix(ddum)
xi i.date*i.urban i.date*i.bankgroup i.date , prefix(ddal)

xi i.state , prefix(stdm)
sort unit date
 

*, gen(double)
*stop
duplicates drop unit date, force
 sort state date
tsset state date

drop if year<1992
drop if year>2003
xi  i.date

*sort unit date
 gen creditgrowth=log(creditamountrscrore /L.creditamountrscrore )
 gen creditdiff=creditamountrscrore -L.creditamountrscrore 
 
gen branchgrowth=log(numberofbranches   /L.numberofbranches   )

  gen perbranchcredit= creditamountrscrore /numberofbranches   
estimates clear 
 

set more off

set more off  

xi i.state*date, prefix(tren)

sort year state 
merge year state using  "E:\SujataAndDilip\LinearSpecification\prowess\statelevelinfor.dta"
tab _merge

 sort state date
gen cityvscountrybranch=citybranch /countrybranch 

foreach y of varlist credit totalbranch cityvscountrybranch citybranch countrybranchh metrocredit urbancredit ruralcredit metrobranches ruralbranches  semiurbanbranches {
gen FDdif`y' =`y'-L.`y'
}
*keep if  populationgroup=="Metropolitan" 
* | populationgroup=="Urban"  
keep if year>=1992 & year<=2003
foreach y of varlist citybranch countrybranch citycredit countrycredit {

*eststo:  xtreg     `y'  drtown ddum*  , fe cluster(state)
*eststo:  xtreg     `y'  drtown ddum* tren*  , fe cluster(state)
eststo:  xtreg     `y'  drtown ddum* tren*   it1st-it4st it6st-it9st it11st - it14st     , fe cluster(state)

*eststo:  xtreg     `y' drt1 drt2 drt3 ddum*  , fe cluster(state)
*eststo:  xtreg     `y' drt1 drt2 drt3 ddum* tren* , fe cluster(state)
eststo:  xtreg     `y' drt1 drt2 drt3 ddum* tren*  it1st-it4st it6st-it9st it11st - it14st    , fe cluster(state)

}



label var drt1 "DRT year =1"
label var drt2 "DRT year =2"
label var drt3 "DRT year $\ge $3"
label var drtown "DRT"


cd E:\papers\sujataanddilip\prowessnew\revisionECMA
esttab * using dynamicsbranches.tex, title(Effect of DRT on branches and lending)   /*
   */  keep(drt*) stats(  r2 N) replace label star(* 0.10 ** 0.05 *** 0.01) /*
*/  indicate("YearDummy =   ddum* "    "Statetrend = tren*  " "Priority sector lending = it1st it4st " ) /* 
   */ addnote("Standard errors are  clustered at the state level. All regressions include state-population-bank group  fixed effects.")/*
 */postfoot(\multicolumn{@span}{l}{\ {\footnotesize  Standard errors cluster at state level.  \textit{t} statistics in parentheses. \sym{*} \(p<0.10\), \sym{**} \(p<0.05\), \sym{***} \(p<0.01\)} } \\ \multicolumn{@span}{l}{\ \input{notesbankbranches.txt} }\end{tabular}\end{table})  
