*****************This file generates columns 1 & 2 in "Dynamic Interest rate effects using bank data"


estimates clear
foreach firstyear in  1990{
*forvalues i=1/4 {
 foreach cluster of varlist state {


set more off
 

 foreach y of varlist intpay {
 

  xtreg `y'     drtown1  drtown2  drtown3  t`firstyear'- t2004  statetrend1- statetrend33   if   t>=firstregressionsyear &t<=lastregressionsyear , fe cluster(`cluster')
estadd scalar numberofgroups = e(N_g) 
 eststo
  xtreg `y'     drtown1  drtown2  drtown3  t`firstyear'- t2004 it1st-it4st it6st-it9st it11st - it14st  statetrend1- statetrend33   if   t>=firstregressionsyear &t<=lastregressionsyear , fe cluster(`cluster')
estadd scalar numberofgroups = e(N_g) 
 eststo


}
}
}
  
 
esttab  * using dynamicsintrate.csv , star(* 0.10 ** 0.05 *** 0.01)  label /*
   */ title(intrate dynamics) /*
   */ addnote("Standard errors are clustered at the state- level.") replace  /*
   */  keep(drtown* _cons  ) stats(  numberofgroups r2 N , labels( "number of firms" ) ) /*
 */indicate("YearDummy =  t1995 t1996 "    "Statetrend = statetrend1 statetrend7  statetrend8  " )   
